首页 >CMS教程 >PHPCMS > 正文

phpcms 2008安装报错怎么办

原创2020-01-14 09:10:040210
phpStudy Linux 面板(小皮面板)

phpcms 2008安装报错怎么办?

4b1e5bb8cc805e5540aa4bbbb4e86db.png

报这个错的原因可能是你的mysql版本可能过高导致的。

因为报错位置在: 'TYPE=MyISAM DEFAULT CHARSET=gbk'这个地方,type和engine都代表数据库引擎,但type只向下兼容,建议使用engine即可解决。

正确sql语句如下:

CREATE TABLE `phpcms_admin` ( `userid` MEDIUMINT(8) UNSIGNED NOT NULL,

`username` CHAR(20) NOT NULL,

`allowmultilogin` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',

`alloweditpassword` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',

`editpasswordnextlogin` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',

`disabled` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0', PRIMARY KEY (`userid`))

ENGINE=MYISAM DEFAULT CHARSET=gbk

或者最简单的办法是装个mysql版本低于5.2的php集成安装包,可以顺利安装phpcms。

PHP中文网,大量的免费PHPCMS教程,欢迎在线学习!

以上就是phpcms 2008安装报错怎么办的详细内容,更多请关注php中文网其它相关文章!

php中文网最新课程二维码
  • 相关标签:phpcms
  • 本文原创发布php中文网,转载请注明出处,感谢您的尊重!
  • 相关文章

    相关视频


    网友评论

    文明上网理性发言,请遵守 新闻评论服务协议

    我要评论
  • 专题推荐

    推荐视频教程
  • javascript初级视频教程javascript初级视频教程
  • jquery 基础视频教程jquery 基础视频教程
  • 视频教程分类